The SML of NJ Library
The Unix Library

## Overview

The Unix Library provides some Unix-specific utilities.

## Contents

`structure UnixEnv`

  This structure provides support for querying the user’s environment.

`structure UnixPath`

  This structure supports Unix-specific file-system searches.

## Usage

For SML/NJ, include `$/unix-lib.cm` in your CM file.

For use in MLton, include `$(SML_LIB)/smlnj-lib/Unix/unix-lib.mlb` in your MLB file.

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC